| Flutter Impeller |

Public Member Functions | List of all members
impeller::MatrixImageFilter Class Reference

`#include <image_filter.h>`

Inheritance diagram for impeller::MatrixImageFilter:

## Public Member Functions
| MatrixImageFilter (const Matrix &matrix, SamplerDescriptor sampler_descriptor)
| ~MatrixImageFilter () override
std::shared_ptr< FilterContents > | WrapInput (const FilterInput::Ref &input) const override
| Wraps the given filter input with a GPU-based image filter. More...
std::shared_ptr< ImageFilter > | Clone () const override
void | Visit (ImageFilterVisitor &visitor) override
const Matrix & | GetMatrix () const
Public Member Functions inherited from impeller::ImageFilter
| ImageFilter ()
virtual | ~ImageFilter ()
std::shared_ptr< FilterContents > | GetFilterContents () const
| Generate a new FilterContents using this filter's configuration. More...
virtual int | GetRequiredMipCount () const

## Additional Inherited Members
Static Public Member Functions inherited from impeller::ImageFilter
static std::shared_ptr< ImageFilter > | MakeBlur (Sigma sigma_x, Sigma sigma_y, FilterContents::BlurStyle blur_style, Entity::TileMode tile_mode)
static std::shared_ptr< ImageFilter > | MakeDilate (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeErode (Radius radius_x, Radius radius_y)
static std::shared_ptr< ImageFilter > | MakeMatrix (const Matrix &matrix, SamplerDescriptor sampler_descriptor)
static std::shared_ptr< ImageFilter > | MakeCompose (const ImageFilter &inner, const ImageFilter &outer)
static std::shared_ptr< ImageFilter > | MakeFromColorFilter (const ColorFilter &color_filter)
static std::shared_ptr< ImageFilter > | MakeLocalMatrix (const Matrix &matrix, const ImageFilter &internal_filter)

## Detailed Description

Definition at line 180 of file image_filter.h.

## Constructor & Destructor Documentation

## ◆ MatrixImageFilter()

impeller::MatrixImageFilter::MatrixImageFilter | ( | const Matrix & | matrix,
|  | SamplerDescriptor | sampler_descriptor
| ) |  |

Definition at line 134 of file image_filter.cc.

136 : matrix_(matrix), sampler_descriptor_(std::move(sampler_descriptor)) {}

## ◆ ~MatrixImageFilter()

impeller::MatrixImageFilter::~MatrixImageFilter | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Clone()

std::shared_ptr< ImageFilter > impeller::MatrixImageFilter::Clone | ( |  | ) | const
| override virtual

Implements impeller::ImageFilter.

Definition at line 145 of file image_filter.cc.

145 {
146 return std::make_shared<MatrixImageFilter>(*this);
147 }

## ◆ GetMatrix()

const Matrix& impeller::MatrixImageFilter::GetMatrix | ( |  | ) | const
| inline

Definition at line 198 of file image_filter.h.

198 :
199 Matrix matrix_;

## ◆ Visit()

void impeller::MatrixImageFilter::Visit | ( | ImageFilterVisitor & | visitor | ) |
| inline override virtual

Implements impeller::ImageFilter.

Definition at line 196 of file image_filter.h.

196 { return matrix_; }

## ◆ WrapInput()

std::shared_ptr< FilterContents > impeller::MatrixImageFilter::WrapInput | ( | const FilterInput::Ref & | input | ) | const
| override virtual

Wraps the given filter input with a GPU-based image filter.

Implements impeller::ImageFilter.

Definition at line 140 of file image_filter.cc.

141 {
142 return FilterContents::MakeMatrixFilter(input, matrix_, sampler_descriptor_);
143 }

References impeller::FilterContents::MakeMatrixFilter().

The documentation for this class was generated from the following files:

- impeller/aiks/image_filter.h
- impeller/aiks/image_filter.cc

impeller::FilterContents::MakeMatrixFilter
static std::shared_ptr< FilterContents > MakeMatrixFilter(FilterInput::Ref input, const Matrix &matrix, const SamplerDescriptor &desc)
Definition: filter_contents.cc:86